###########################################################################
#  DSpace: Product to embed a DSpace repository within a Plone site.
#
#  https://svn.plone.org/svn/collective/DSpace
#
# This is a product that enables the user to connect to
# a default DSpace application. This application is a digital repository
# for articles, books, courseware, journals, websites and thesis material.
#
#  Copyright (C) 2007  Cranfield University, UK
#  Written by: The Development Team, DCMT Cranfield University
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
###########################################################################

import os, os.path
from Globals import package_home

from Products.Archetypes.public import *
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory
from Products.Archetypes.debug import log_exc

from Products.DSpace.config import GLOBALS,PROJECTNAME,SKINS_DIR,ADD_CONTENT_PERMISSION

__version__ = open(os.path.join(__path__[0], 'version.txt')).read().strip()

registerDirectory(SKINS_DIR, GLOBALS)

def initialize(context):
    import Products.DSpace.content
    
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)
